import httpRequest from './axios'

export default function useWXShare() {
  httpRequest
    .post('https://node-server.ezijing.com/share/getsignature', {
      appId: 'wxa41d0081d4889921',
      url: location.href.split('#').pop()
    })
    .then(result => {
      wx.config({
        debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
        appId: 'wxa41d0081d4889921', // 必填，公众号的唯一标识
        timestamp: result.timestamp, // 必填，生成签名的时间戳
        nonceStr: result.noncestr, // 必填，生成签名的随机串
        signature: result.token, // 必填，签名
        jsApiList: ['updateAppMessageShareData', 'updateTimelineShareData'] // 必填，需要使用的JS接口列表
      })

      wx.ready(() => {
        wx.updateAppMessageShareData({
          title: '中国公路建设行业协会', // 分享标题
          desc: '中国公路建设行业协会', // 分享描述
          link: location.href,
          imgUrl: 'https://webapp-pub.ezijing.com/highway/h5/banner-0420.png'
        })

        wx.updateTimelineShareData({
          title: '中国公路建设行业协会', // 分享标题
          link: location.href,
          imgUrl: 'https://webapp-pub.ezijing.com/highway/h5/banner-0420.png'
        })
      })
    })
}
